Reference Manual

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# layout.h File Reference

A GtkLayout C++ wrapper interface. More...

`#include <inti/gtk/container.h>`
`#include <gtk/gtklayout.h>`

Go to the source code of this file.

## Namespaces

- namespace Inti
- namespace Inti::Gtk

## Detailed Description

A GtkLayout C++ wrapper interface.

Provides Layout, a widget similar to DrawingArea in that it's a "blank slate" and doesn't do anything but paint a blank background by default. It's different in that it supports scrolling natively (you can add it to a ScrolledWindow), and it can contain child widgets, since it's a Container.
Main Page - Footer